# Basic Information
Name:		PackageKit
Version:	0.8.3
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/System
Source0:	http://www.packagekit.org/releases/%{name}-%{version}.tar.xz
Source100:	filter-requires-%{name}.sh

# for VineLinux
Patch100:	PackageKit-0.7.1-backend-aptcc-vine.patch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A DBUS packaging abstraction layer
Summary(ja):	DBUS のパッケージング抽象レイヤ

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgudev1-devel
BuildRequires:	pm-utils-devel
BuildRequires:	polkit-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	sqlite3-devel
BuildRequires:	gtk3-devel
BuildRequires:	gtk2-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	apt-devel
BuildRequires:	gtk-doc
BuildRequires:	python

# Don't depend on Debconf::Client::ConfModule
%define __perl_requires %{SOURCE100}

%description
PackageKit is a DBUS abstraction layer that allows the session user to
manage packages in a secure way using a cross-distro, cross-architecture
API.

For more information, please see http://www.packagekit.org

%description -l ja
PackageKit は、安全な方法でセッションのユーザーにパッケージ管理を許可する
DBUS の抽象レイヤです。ディストリビューションやアーキテクチャーをまたいだ
API を利用しています。

より詳しい情報は、 http://www.packagekit.org をご覧ください。

%package devel
Summary:	Development enviroment for PackageKit
Summary(ja):	PackageKit の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel
Requires:       dbus-devel
Requires:       sqlite3-devel
Requires:       pkgconfig

%description devel
Header file and libraries for developping PackageKit.

%description -l ja devel
PackageKit で開発を行うためのヘッダファイルとライブラリ

%package doc
Summary:	Documants of PackageKit
Summary(ja):	PackageKit のドキュメント
Group:		Applications/Documentation

%description doc
HTML documents of PackageKit

%description -l ja doc
PackageKit の HTML ドキュメント

%prep
%setup -q
#%patch100 -p1 -b .vine

%build
autoreconf -if
%configure \
	--disable-static \
	--disable-systemd \
	--disable-qt 
#	--enable-aptcc \
#	--with-default-backend=aptcc
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/glib-2.0/schemas/org.gnome.setttings-daemon.gtk-modules-packagekit.gschema.xml

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING HACKING MAINTAINERS NEWS README TODO
%{_sysconfdir}/PackageKit
#%{_sysconfdir}/apt/apt.conf.d/20packagekit
%{_sysconfdir}/bash_completion.d/pk-completion.bash
%{_sysconfdir}/cron.daily/packagekit-background.cron
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_sysconfdir}/profile.d/PackageKit.sh
%{_sysconfdir}/sysconfig/packagekit-background
%{_bindir}/packagekit-bugreport.sh
%{_bindir}/pk-debuginfo-install
%{_bindir}/pkcon
%{_bindir}/pkgenpack
%{_bindir}/pkmon
%{python_sitelib}/packagekit
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib
%{_libdir}/girepository-1.0/PackageKitPlugin-1.0.typelib
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop
%{_libdir}/gtk-2.0/modules/libpk-gtk-module.so
%{_libdir}/gtk-3.0/modules/libpk-gtk-module.so
%{_libdir}/libpackagekit-glib2.so.*
%{_libdir}/packagekit-backend
%{_libdir}/packagekit-plugins
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_libexecdir}/packagekitd
%{_libexecdir}/pk-clear-offline-update
%{_libexecdir}/pk-command-not-found
%{_libexecdir}/pk-gstreamer-install
%{_libexecdir}/pk-offline-update
%{_libexecdir}/pk-trigger-offline-update
%{_sbindir}/pk-device-rebind
%{_datadir}/PackageKit
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit.service
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
%{_datadir}/gir-1.0/PackageKitPlugin-1.0.gir
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.gtk-modules-packagekit.gschema.xml
%{_mandir}/man1/pk-debuginfo-install.1*
%{_mandir}/man1/pk-device-rebind.1.gz
%{_mandir}/man1/pkcon.1*
%{_mandir}/man1/pkgenpack.1*
%{_mandir}/man1/pkmon.1*
%{_datadir}/mime/packages/packagekit-catalog.xml
%{_datadir}/mime/packages/packagekit-package-list.xml
%{_datadir}/mime/packages/packagekit-servicepack.xml
%{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
%{_localstatedir}/lib/PackageKit/transactions.db

#%exclude %{_datadir}/PackageKit/website

%files devel
%defattr(-, root, root)
%{_includedir}/PackageKit
%{_libdir}/libpackagekit-glib2.so
%{_libdir}/pkgconfig/packagekit-glib2.pc
%{_libdir}/pkgconfig/packagekit-plugin.pc


%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/PackageKit
#%{_datadir}/PackageKit/website

%changelog
* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.3-1
- new upstream release
- drop Patch100
- add BuildRequires: gtk2-devel

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-3
- rebuild with python-2.7.2

* Mon Jan 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-2
- add Patch100 (PackageKit-0.7.1-backend-aptcc-vine.patch)
- add Source100 (filter-requires-PackageKit.sh)
- add BuildRequires: apt-devel

* Tue Jan 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-1
- new upstream release
- add BuildRequires libgudev1-devel, pm-utils-devel

* Sat Sep 17 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.0-1
- initial build for Vine Linux
