%define pkg_version 3.6.0
%define pkg_release 1%{?_dist_release}

Summary:	An interactive Python accessibility explorer for the GNOME desktop.
Summary(ja):	GNOME デスクトップ用 Python アクセシビリティエクスプローラ
Name:		accerciser
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/accerciser/3.6/%{name}-%{version}.tar.xz
License:	BSD
Group:		Desktop/Accessibility 
URL:		http://live.gnome.org/Accerciser

Requires:	gnome-python-libwnck >= 2.14
Requires:	gnome-python-rsvg >= 2.14
Requires:	pygobject3
Requires:	python >= 2.6
Requires:	pyatspi
Requires:	at-spi2-core

Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils

BuildRequires:	python-devel >= 2.4
BuildRequires:	pygobject3-devel
BuildRequires:	gtk3-devel
BuildRequires:	at-spi2-core-devel
BuildRequires:	pyatspi
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	docbook-dtds
BuildRequires:	yelp-tools

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Accerciser is an interactive Python accessibility explorer for the GNOME
desktop. It uses AT-SPI to inspect and control widgets, allowing you to check
if an application is providing correct information to assistive technologies
and automated test frameworks. Accerciser has a simple plugin framework which
you can use to create custom views of accessibility information.


%prep
%setup -q


%build
%configure  --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome --all-name

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database & > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database & > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/accerciser
%{python_sitelib}/accerciser
%{_datadir}/applications/accerciser.desktop
%{_datadir}/accerciser/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/accerciser.1.gz


%changelog
* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gome-doc-utils

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- remove BuildRequires: GConf2-devel

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- add BuildRequires: gtk3-devel, pygobject3-devel
- change BuildRequires: at-spi2-core-devel instead of at-spi-devel

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release

* Mon May 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sun Oct 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- initial build for Vine Linux

