%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           gobject-introspection
Version:        1.34.1
Release:        1%{?_dist_release}
Summary:        Introspection system for GObject-based libraries

Group:		Development/Libraries
License:        GPLv2+, LGPLv2+, MIT
URL:            http://live.gnome.org/GObjectIntrospection
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/1.34/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes:     gir-repository < 0.6.6

BuildRequires:  glib2-devel
BuildRequires:  python-devel >= 2.5
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk-doc
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libffi-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  cairo-devel >= 1.10.0
BuildRequires:  libxml2-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libX11-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libXft-devel
BuildRequires:  freetype2-devel
BuildRequires:  gnome-common

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package devel
Summary: Libraries and headers for gobject-introspection
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: glib2-devel
Requires: libffi-devel
Requires: pkgconfig
Obsoletes: gir-repository-devel < 0.6.6

%description devel
Libraries and headers for gobject-introspection

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; CONFIGFLAGS=--enable-gtk-doc; fi;
 %configure $CONFIGFLAGS)
make V=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Die libtool, die.
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING

%{_libdir}/lib*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%dir %{_libdir}/gobject-introspection
%{_libdir}/gobject-introspection/*
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/g-ir-*
%{_datadir}/gir-1.0
%{_datadir}/aclocal/introspection.m4
%{_datadir}/gobject-introspection-1.0/Makefile.introspection
%{_datadir}/gobject-introspection-1.0/tests
%{_datadir}/gobject-introspection-1.0/gdump.c
%{_datadir}/gtk-doc/html/gi/*
%{_mandir}/man1/*.gz

%changelog
* Thu Oct 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.34.1-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.34.0-1
- new upstream release

* Sat Apr 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.32.0-1
- new upstream release
- remove Source1

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.17-1
- new upstream release
- remove Patch0

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.16-2
- add Source1 (glib-2.0.c)
- add Patch0 (gobject-introspection-fix-link.patch)

* Sat Jul 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.16-1
- new upstream release

* Sat May 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.8-1
- new upstream release

* Thu Feb 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.3-1
- new upstream release

* Wed Feb 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.2-1
- new upstream release

* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.1-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.12-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8-1
- new upstream release
- add Obsoletes: gir-repository < 0.6.6
- fix %files

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.14-3
- delete Patch0

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.6.14-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.14-1
- new upstream release

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.10-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.9-1
- new upstream release
- add Requires: libffi-devel (devel package)

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.8-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.7-1
- new upstream release
- add Patch0 for ppc

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.5-2
- rebuilt with python-2.6.4

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.5-1
- initial build for Vine Linux

* Fri Sep 11 2009 Colin Walters <walters@verbum.org> - 0.6.5-1
- New upstream
- Drop libtool dep 

* Fri Aug 28 2009 Colin Walters <walters@verbum.org> - 0.6.4-2
- Add dep on libtool temporarily

* Mon Aug 26 2009 Colin Walters <walters@verbum.org> - 0.6.4-1
- New upstream 0.6.4
- Drop upstreamed build fix patch 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> - 0.6.3-4
- Add upstream patch to fix a build crash

* Thu Jul  2 2009 Peter Robinson <pbrobinson@gmail.com> - 0.6.3-3
- Add -ggdb temporarily so it compiles on ppc64

* Thu Jul  2 2009 Peter Robinson <pbrobinson@gmail.com> - 0.6.3-2
- Add the new source file

* Thu Jul  2 2009 Peter Robinson <pbrobinson@gmail.com> - 0.6.3-1
- Update to 0.6.3

* Mon Jun  1 2009 Dan Williams <dcbw@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Colin Walters <walters@verbum.org> - 0.6.1-1
- Update to 0.6.1

* Fri Oct 31 2008 Colin Walters <walters@verbum.org> - 0.6.0-1
- Create spec goo
