%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:          python-urwid
Version:       1.1.0
Release:       1%{?_dist_release}
Summary:       Console user interface library
Summary(ja):   コンソールユーザーインターフェースライブラリ

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://excess.org/urwid/
Source0:       http://excess.org/urwid/urwid-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-twisted
BuildRequires: pygobject

%description
Urwid is a Python library for making text console applications.  It has many
features including fluid interface resizing, support for UTF-8 and CJK
encodings, standard and custom text layout modes, simple markup for setting
text attributes, and a powerful, dynamic list box that handles a mix of widget
types.  It is flexible, modular, and leaves the developer in control.

%prep
%setup -q -n urwid-%{version}
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%check
#./test_urwid.py
python setup.py test

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --no-compile --root %{buildroot}
#rm -f tmpl_tutorial.html
cp -p *.py examples/
rm -f examples/test_urwid.py examples/docgen_*.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG examples
%{python_sitearch}/urwid
%{python_sitearch}/urwid-%{version}*.egg-info

%changelog
* Fri Nov 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.0-1
- new upstream release

* Sat Jul 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.2-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.1-2
- rebuild with python-2.7.2

* Sat Dec 03 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.1-1
- new upstream release

* Thu Oct 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.0-2
- new upstream release
- added BuildRequires: python-setuptools
- run %%check

* Fri Sep 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.0-1
- new upstream release

* Sat Aug 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.9.2-1
- new upstream release

* Wed Sep 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.9.1-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri May 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.9.1-1
- initial build for VineSeed

* Wed May 19 2010 David Cantrell <dcantrell@redhat.com> - 0.9.9.1-1
- Initial package
