Summary:	A quick previewer for Nautilus
Name:		sushi
Version:	3.6.0
Release:	1%{?_dist_release}

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		User Interface/Desktops
URL:		https://live.gnome.org/ThreePointOne/Features/FilePreviewing

BuildRequires:	gtk3-devel >= 3.2.0
BuildRequires:	gtksourceview3-devel
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	WebKit3-gtk-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	clutter-gst-devel
BuildRequires:	evince-devel
BuildRequires:	gjs-devel >= 0.7.7
BuildRequires:	gstreamer1-devel
BuildRequires:	libmusicbrainz5-devel

Requires(postun,posttrans): glib2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Provide a facility for quickly viewing different kinds of files. 
This would be used by Nautilus in the first instance, but could 
be extended to the file chooser and perhaps elsewhere too. 


%package devel
Summary:	Development files for sushi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the libraries and header files that are needed
for writing applications that are using sushi.


%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/sushi
%{_libexecdir}/sushi-start
%{_libdir}/%{name}/libsushi-1.0.so
%{_libdir}/%{name}/girepository-1.0/Sushi-1.0.typelib
%{_datadir}/dbus-1/services/org.gnome.Sushi.service
%{_datadir}/%{name}/js
%{_datadir}/%{name}/style
%{_datadir}/glib-2.0/schemas/org.gnome.sushi.gschema.xml

%files devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/gir-1.0/Sushi-1.0.gir


%changelog
* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: libmusicbrainz5-devel instead of libmusicbrainz3-devel

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.1-1
- initial build for Vine Linux

